Index: uspace/lib/softfloat/generic/sub.c
===================================================================
--- uspace/lib/softfloat/generic/sub.c	(revision 41455a2252d8399fc1db67b56337cc546b45a936)
+++ uspace/lib/softfloat/generic/sub.c	(revision 6bb169b5888edb060801d4ac1ed89a86670dd67a)
@@ -39,38 +39,34 @@
 #include <common.h>
 
-/** Subtract two single-precision floats with the same sign.
+/**
+ * Subtract two single-precision floats with the same signs.
  *
  * @param a First input operand.
  * @param b Second input operand.
- *
  * @return Result of substraction.
- *
- */
-float32 sub_float32(float32 a, float32 b)
+ */
+float32 subFloat32(float32 a, float32 b)
 {
 	int expdiff;
 	uint32_t exp1, exp2, frac1, frac2;
 	float32 result;
-	
-	result.bin = 0;
+
+	result.f = 0;
 	
 	expdiff = a.parts.exp - b.parts.exp;
-	if ((expdiff < 0 ) || ((expdiff == 0) &&
-	    (a.parts.fraction < b.parts.fraction))) {
-		if (is_float32_nan(b)) {
-			if (is_float32_signan(b)) {
-				// TODO: fix SigNaN
-			}
-			
-			return b;
-		}
-		
-		if (b.parts.exp == FLOAT32_MAX_EXPONENT) {
-			/* num -(+-inf) = -+inf */
-			b.parts.sign = !b.parts.sign;
-			return b;
-		}
-		
-		result.parts.sign = !a.parts.sign;
+	if ((expdiff < 0 ) || ((expdiff == 0) && (a.parts.fraction < b.parts.fraction))) {
+		if (isFloat32NaN(b)) {
+			/* TODO: fix SigNaN */
+			if (isFloat32SigNaN(b)) {
+			}
+			return b;
+		}
+		
+		if (b.parts.exp == FLOAT32_MAX_EXPONENT) { 
+			b.parts.sign = !b.parts.sign; /* num -(+-inf) = -+inf */
+			return b;
+		}
+		
+		result.parts.sign = !a.parts.sign; 
 		
 		frac1 = b.parts.fraction;
@@ -80,20 +76,18 @@
 		expdiff *= -1;
 	} else {
-		if (is_float32_nan(a)) {
-			if ((is_float32_signan(a)) || (is_float32_signan(b))) {
-				// TODO: fix SigNaN
-			}
-			
-			return a;
-		}
-		
-		if (a.parts.exp == FLOAT32_MAX_EXPONENT) {
+		if (isFloat32NaN(a)) {
+			/* TODO: fix SigNaN */
+			if (isFloat32SigNaN(a) || isFloat32SigNaN(b)) {
+			}
+			return a;
+		}
+		
+		if (a.parts.exp == FLOAT32_MAX_EXPONENT) { 
 			if (b.parts.exp == FLOAT32_MAX_EXPONENT) {
 				/* inf - inf => nan */
-				// TODO: fix exception
-				result.bin = FLOAT32_NAN;
+				/* TODO: fix exception */
+				result.binary = FLOAT32_NAN;
 				return result;
 			}
-			
 			return a;
 		}
@@ -104,5 +98,5 @@
 		exp1 = a.parts.exp;
 		frac2 = b.parts.fraction;
-		exp2 = b.parts.exp;
+		exp2 = b.parts.exp;	
 	}
 	
@@ -111,18 +105,17 @@
 		result.parts.fraction = frac1 - frac2;
 		if (result.parts.fraction > frac1) {
-			// TODO: underflow exception
+			/* TODO: underflow exception */
 			return result;
 		}
-		
 		result.parts.exp = 0;
 		return result;
 	}
-	
+
 	/* add hidden bit */
-	frac1 |= FLOAT32_HIDDEN_BIT_MASK;
+	frac1 |= FLOAT32_HIDDEN_BIT_MASK; 
 	
 	if (exp2 == 0) {
 		/* denormalized */
-		--expdiff;
+		--expdiff;	
 	} else {
 		/* normalized */
@@ -134,9 +127,10 @@
 	frac2 <<= 6;
 	
-	if (expdiff > FLOAT32_FRACTION_SIZE + 1)
+	if (expdiff > FLOAT32_FRACTION_SIZE + 1) {
 		goto done;
+	}
 	
 	frac1 = frac1 - (frac2 >> expdiff);
-	
+
 done:
 	/* TODO: find first nonzero digit and shift result and detect possibly underflow */
@@ -149,5 +143,5 @@
 	/* rounding - if first bit after fraction is set then round up */
 	frac1 += 0x20;
-	
+
 	if (frac1 & (FLOAT32_HIDDEN_BIT_MASK << 7)) {
 		++exp1;
@@ -156,5 +150,5 @@
 	
 	/* Clear hidden bit and shift */
-	result.parts.fraction = ((frac1 >> 6) & (~FLOAT32_HIDDEN_BIT_MASK));
+	result.parts.fraction = ((frac1 >> 6) & (~FLOAT32_HIDDEN_BIT_MASK)); 
 	result.parts.exp = exp1;
 	
@@ -162,13 +156,12 @@
 }
 
-/** Subtract two double-precision floats with the same sign.
+/**
+ * Subtract two double-precision floats with the same signs.
  *
  * @param a First input operand.
  * @param b Second input operand.
- *
  * @return Result of substraction.
- *
- */
-float64 sub_float64(float64 a, float64 b)
+ */
+float64 subFloat64(float64 a, float64 b)
 {
 	int expdiff;
@@ -176,25 +169,22 @@
 	uint64_t frac1, frac2;
 	float64 result;
-	
-	result.bin = 0;
+
+	result.d = 0;
 	
 	expdiff = a.parts.exp - b.parts.exp;
-	if ((expdiff < 0 ) ||
-	    ((expdiff == 0) && (a.parts.fraction < b.parts.fraction))) {
-		if (is_float64_nan(b)) {
-			if (is_float64_signan(b)) {
-				// TODO: fix SigNaN
-			}
-			
-			return b;
-		}
-		
-		if (b.parts.exp == FLOAT64_MAX_EXPONENT) {
-			/* num -(+-inf) = -+inf */
-			b.parts.sign = !b.parts.sign;
-			return b;
-		}
-		
-		result.parts.sign = !a.parts.sign;
+	if ((expdiff < 0 ) || ((expdiff == 0) && (a.parts.fraction < b.parts.fraction))) {
+		if (isFloat64NaN(b)) {
+			/* TODO: fix SigNaN */
+			if (isFloat64SigNaN(b)) {
+			}
+			return b;
+		}
+		
+		if (b.parts.exp == FLOAT64_MAX_EXPONENT) { 
+			b.parts.sign = !b.parts.sign; /* num -(+-inf) = -+inf */
+			return b;
+		}
+		
+		result.parts.sign = !a.parts.sign; 
 		
 		frac1 = b.parts.fraction;
@@ -204,20 +194,18 @@
 		expdiff *= -1;
 	} else {
-		if (is_float64_nan(a)) {
-			if (is_float64_signan(a) || is_float64_signan(b)) {
-				// TODO: fix SigNaN
-			}
-			
-			return a;
-		}
-		
-		if (a.parts.exp == FLOAT64_MAX_EXPONENT) {
+		if (isFloat64NaN(a)) {
+			/* TODO: fix SigNaN */
+			if (isFloat64SigNaN(a) || isFloat64SigNaN(b)) {
+			}
+			return a;
+		}
+		
+		if (a.parts.exp == FLOAT64_MAX_EXPONENT) { 
 			if (b.parts.exp == FLOAT64_MAX_EXPONENT) {
 				/* inf - inf => nan */
-				// TODO: fix exception
-				result.bin = FLOAT64_NAN;
+				/* TODO: fix exception */
+				result.binary = FLOAT64_NAN;
 				return result;
 			}
-			
 			return a;
 		}
@@ -228,5 +216,5 @@
 		exp1 = a.parts.exp;
 		frac2 = b.parts.fraction;
-		exp2 = b.parts.exp;
+		exp2 = b.parts.exp;	
 	}
 	
@@ -235,18 +223,17 @@
 		result.parts.fraction = frac1 - frac2;
 		if (result.parts.fraction > frac1) {
-			// TODO: underflow exception
+			/* TODO: underflow exception */
 			return result;
 		}
-		
 		result.parts.exp = 0;
 		return result;
 	}
-	
+
 	/* add hidden bit */
-	frac1 |= FLOAT64_HIDDEN_BIT_MASK;
+	frac1 |= FLOAT64_HIDDEN_BIT_MASK; 
 	
 	if (exp2 == 0) {
 		/* denormalized */
-		--expdiff;
+		--expdiff;	
 	} else {
 		/* normalized */
@@ -258,9 +245,10 @@
 	frac2 <<= 6;
 	
-	if (expdiff > FLOAT64_FRACTION_SIZE + 1)
+	if (expdiff > FLOAT64_FRACTION_SIZE + 1) {
 		goto done;
+	}
 	
 	frac1 = frac1 - (frac2 >> expdiff);
-	
+
 done:
 	/* TODO: find first nonzero digit and shift result and detect possibly underflow */
@@ -273,5 +261,5 @@
 	/* rounding - if first bit after fraction is set then round up */
 	frac1 += 0x20;
-	
+
 	if (frac1 & (FLOAT64_HIDDEN_BIT_MASK << 7)) {
 		++exp1;
@@ -280,5 +268,5 @@
 	
 	/* Clear hidden bit and shift */
-	result.parts.fraction = ((frac1 >> 6) & (~FLOAT64_HIDDEN_BIT_MASK));
+	result.parts.fraction = ((frac1 >> 6) & (~FLOAT64_HIDDEN_BIT_MASK)); 
 	result.parts.exp = exp1;
 	
@@ -286,13 +274,12 @@
 }
 
-/** Subtract two quadruple-precision floats with the same sign.
+/**
+ * Subtract two quadruple-precision floats with the same signs.
  *
  * @param a First input operand.
  * @param b Second input operand.
- *
  * @return Result of substraction.
- *
- */
-float128 sub_float128(float128 a, float128 b)
+ */
+float128 subFloat128(float128 a, float128 b)
 {
 	int expdiff;
@@ -300,27 +287,25 @@
 	uint64_t frac1_hi, frac1_lo, frac2_hi, frac2_lo, tmp_hi, tmp_lo;
 	float128 result;
-	
-	result.bin.hi = 0;
-	result.bin.lo = 0;
-	
+
+	result.binary.hi = 0;
+	result.binary.lo = 0;
+
 	expdiff = a.parts.exp - b.parts.exp;
 	if ((expdiff < 0 ) || ((expdiff == 0) &&
 	    lt128(a.parts.frac_hi, a.parts.frac_lo, b.parts.frac_hi, b.parts.frac_lo))) {
-		if (is_float128_nan(b)) {
-			if (is_float128_signan(b)) {
-				// TODO: fix SigNaN
-			}
-			
-			return b;
-		}
-		
+		if (isFloat128NaN(b)) {
+			/* TODO: fix SigNaN */
+			if (isFloat128SigNaN(b)) {
+			}
+			return b;
+		}
+
 		if (b.parts.exp == FLOAT128_MAX_EXPONENT) {
-			/* num -(+-inf) = -+inf */
-			b.parts.sign = !b.parts.sign;
-			return b;
-		}
-		
+			b.parts.sign = !b.parts.sign; /* num -(+-inf) = -+inf */
+			return b;
+		}
+
 		result.parts.sign = !a.parts.sign;
-		
+
 		frac1_hi = b.parts.frac_hi;
 		frac1_lo = b.parts.frac_lo;
@@ -331,25 +316,24 @@
 		expdiff *= -1;
 	} else {
-		if (is_float128_nan(a)) {
-			if (is_float128_signan(a) || is_float128_signan(b)) {
-				// TODO: fix SigNaN
-			}
-			
-			return a;
-		}
-		
+		if (isFloat128NaN(a)) {
+			/* TODO: fix SigNaN */
+			if (isFloat128SigNaN(a) || isFloat128SigNaN(b)) {
+			}
+			return a;
+		}
+
 		if (a.parts.exp == FLOAT128_MAX_EXPONENT) {
 			if (b.parts.exp == FLOAT128_MAX_EXPONENT) {
 				/* inf - inf => nan */
-				// TODO: fix exception
-				result.bin.hi = FLOAT128_NAN_HI;
-				result.bin.lo = FLOAT128_NAN_LO;
+				/* TODO: fix exception */
+				result.binary.hi = FLOAT128_NAN_HI;
+				result.binary.lo = FLOAT128_NAN_LO;
 				return result;
 			}
 			return a;
 		}
-		
+
 		result.parts.sign = a.parts.sign;
-		
+
 		frac1_hi = a.parts.frac_hi;
 		frac1_lo = a.parts.frac_lo;
@@ -359,5 +343,5 @@
 		exp2 = b.parts.exp;
 	}
-	
+
 	if (exp1 == 0) {
 		/* both are denormalized */
@@ -366,17 +350,16 @@
 		result.parts.frac_lo = tmp_lo;
 		if (lt128(frac1_hi, frac1_lo, result.parts.frac_hi, result.parts.frac_lo)) {
-			// TODO: underflow exception
+			/* TODO: underflow exception */
 			return result;
 		}
-		
 		result.parts.exp = 0;
 		return result;
 	}
-	
+
 	/* add hidden bit */
 	or128(frac1_hi, frac1_lo,
 	    FLOAT128_HIDDEN_BIT_MASK_HI, FLOAT128_HIDDEN_BIT_MASK_LO,
 	    &frac1_hi, &frac1_lo);
-	
+
 	if (exp2 == 0) {
 		/* denormalized */
@@ -388,15 +371,16 @@
 		    &frac2_hi, &frac2_lo);
 	}
-	
+
 	/* create some space for rounding */
 	lshift128(frac1_hi, frac1_lo, 6, &frac1_hi, &frac1_lo);
 	lshift128(frac2_hi, frac2_lo, 6, &frac2_hi, &frac2_lo);
-	
-	if (expdiff > FLOAT128_FRACTION_SIZE + 1)
+
+	if (expdiff > FLOAT128_FRACTION_SIZE + 1) {
 		goto done;
-	
+	}
+
 	rshift128(frac2_hi, frac2_lo, expdiff, &tmp_hi, &tmp_lo);
 	sub128(frac1_hi, frac1_lo, tmp_hi, tmp_lo, &frac1_hi, &frac1_lo);
-	
+
 done:
 	/* TODO: find first nonzero digit and shift result and detect possibly underflow */
@@ -408,13 +392,13 @@
 		lshift128(frac1_hi, frac1_lo, 1, &frac1_hi, &frac1_lo);
 		/* TODO: fix underflow - frac1 == 0 does not necessary means underflow... */
-		
+
 		lshift128(FLOAT128_HIDDEN_BIT_MASK_HI, FLOAT128_HIDDEN_BIT_MASK_LO, 6,
 		    &tmp_hi, &tmp_lo);
 		and128(frac1_hi, frac1_lo, tmp_hi, tmp_lo, &tmp_hi, &tmp_lo);
 	}
-	
+
 	/* rounding - if first bit after fraction is set then round up */
 	add128(frac1_hi, frac1_lo, 0x0ll, 0x20ll, &frac1_hi, &frac1_lo);
-	
+
 	lshift128(FLOAT128_HIDDEN_BIT_MASK_HI, FLOAT128_HIDDEN_BIT_MASK_LO, 7,
 	   &tmp_hi, &tmp_lo);
@@ -424,5 +408,5 @@
 		rshift128(frac1_hi, frac1_lo, 1, &frac1_hi, &frac1_lo);
 	}
-	
+
 	/* Clear hidden bit and shift */
 	rshift128(frac1_hi, frac1_lo, 6, &frac1_hi, &frac1_lo);
@@ -432,7 +416,7 @@
 	result.parts.frac_hi = tmp_hi;
 	result.parts.frac_lo = tmp_lo;
-	
+
 	result.parts.exp = exp1;
-	
+
 	return result;
 }
Index: uspace/lib/softfloat/include/add.h
===================================================================
--- uspace/lib/softfloat/include/add.h	(revision 41455a2252d8399fc1db67b56337cc546b45a936)
+++ uspace/lib/softfloat/include/add.h	(revision 6bb169b5888edb060801d4ac1ed89a86670dd67a)
@@ -37,8 +37,7 @@
 #define __ADD_H__
 
-extern float32 add_float32(float32, float32);
-extern float64 add_float64(float64, float64);
-extern float96 add_float96(float96, float96);
-extern float128 add_float128(float128, float128);
+extern float32 addFloat32(float32, float32);
+extern float64 addFloat64(float64, float64);
+extern float128 addFloat128(float128, float128);
 
 #endif
Index: uspace/lib/softfloat/include/common.h
===================================================================
--- uspace/lib/softfloat/include/common.h	(revision 41455a2252d8399fc1db67b56337cc546b45a936)
+++ uspace/lib/softfloat/include/common.h	(revision 6bb169b5888edb060801d4ac1ed89a86670dd67a)
@@ -39,14 +39,14 @@
 #include <sftypes.h>
 
-extern float64 finish_float64(int32_t, uint64_t, char);
-extern float128 finish_float128(int32_t, uint64_t, uint64_t, char, uint64_t);
+extern float64 finishFloat64(int32_t, uint64_t, char);
+extern float128 finishFloat128(int32_t, uint64_t, uint64_t, char, uint64_t);
 
-extern int count_zeroes8(uint8_t);
-extern int count_zeroes32(uint32_t);
-extern int count_zeroes64(uint64_t);
+extern int countZeroes8(uint8_t);
+extern int countZeroes32(uint32_t);
+extern int countZeroes64(uint64_t);
 
-extern void round_float32(int32_t *, uint32_t *);
-extern void round_float64(int32_t *, uint64_t *);
-extern void round_float128(int32_t *, uint64_t *, uint64_t *);
+extern void roundFloat32(int32_t *, uint32_t *);
+extern void roundFloat64(int32_t *, uint64_t *);
+extern void roundFloat128(int32_t *, uint64_t *, uint64_t *);
 
 extern void lshift128(uint64_t, uint64_t, int, uint64_t *, uint64_t *);
Index: uspace/lib/softfloat/include/comparison.h
===================================================================
--- uspace/lib/softfloat/include/comparison.h	(revision 41455a2252d8399fc1db67b56337cc546b45a936)
+++ uspace/lib/softfloat/include/comparison.h	(revision 6bb169b5888edb060801d4ac1ed89a86670dd67a)
@@ -37,43 +37,33 @@
 #define __COMPARISON_H__
 
-extern int is_float32_nan(float32);
-extern int is_float32_signan(float32);
+extern int isFloat32NaN(float32);
+extern int isFloat32SigNaN(float32);
 
-extern int is_float32_infinity(float32);
-extern int is_float32_zero(float32);
+extern int isFloat32Infinity(float32);
+extern int isFloat32Zero(float32);
 
-extern int is_float32_eq(float32, float32);
-extern int is_float32_lt(float32, float32);
-extern int is_float32_gt(float32, float32);
+extern int isFloat32eq(float32, float32);
+extern int isFloat32lt(float32, float32);
+extern int isFloat32gt(float32, float32);
 
-extern int is_float64_nan(float64);
-extern int is_float64_signan(float64);
+extern int isFloat64NaN(float64);
+extern int isFloat64SigNaN(float64);
 
-extern int is_float64_infinity(float64);
-extern int is_float64_zero(float64);
+extern int isFloat64Infinity(float64);
+extern int isFloat64Zero(float64);
 
-extern int is_float64_eq(float64, float64);
-extern int is_float64_lt(float64, float64);
-extern int is_float64_gt(float64, float64);
+extern int isFloat64eq(float64, float64);
+extern int isFloat64lt(float64, float64);
+extern int isFloat64gt(float64, float64);
 
-extern int is_float96_nan(float96);
-extern int is_float96_signan(float96);
+extern int isFloat128NaN(float128);
+extern int isFloat128SigNaN(float128);
 
-extern int is_float96_infinity(float96);
-extern int is_float96_zero(float96);
+extern int isFloat128Infinity(float128);
+extern int isFloat128Zero(float128);
 
-extern int is_float96_eq(float96, float96);
-extern int is_float96_lt(float96, float96);
-extern int is_float96_gt(float96, float96);
-
-extern int is_float128_nan(float128);
-extern int is_float128_signan(float128);
-
-extern int is_float128_infinity(float128);
-extern int is_float128_zero(float128);
-
-extern int is_float128_eq(float128, float128);
-extern int is_float128_lt(float128, float128);
-extern int is_float128_gt(float128, float128);
+extern int isFloat128eq(float128, float128);
+extern int isFloat128lt(float128, float128);
+extern int isFloat128gt(float128, float128);
 
 #endif
Index: uspace/lib/softfloat/include/conversion.h
===================================================================
--- uspace/lib/softfloat/include/conversion.h	(revision 41455a2252d8399fc1db67b56337cc546b45a936)
+++ uspace/lib/softfloat/include/conversion.h	(revision 6bb169b5888edb060801d4ac1ed89a86670dd67a)
@@ -37,17 +37,13 @@
 #define __CONVERSION_H__
 
-extern float64 float32_to_float64(float32);
-extern float96 float32_to_float96(float32);
-extern float128 float32_to_float128(float32);
-extern float96 float64_to_float96(float64);
-extern float128 float64_to_float128(float64);
-extern float128 float96_to_float128(float96);
+extern float64 convertFloat32ToFloat64(float32);
+extern float128 convertFloat32ToFloat128(float32);
+extern float128 convertFloat64ToFloat128(float64);
 
-extern float32 float64_to_float32(float64);
-extern float32 float96_to_float32(float96);
-extern float64 float96_to_float64(float96);
-extern float32 float128_to_float32(float128);
-extern float64 float128_to_float64(float128);
-extern float96 float128_to_float96(float128);
+
+extern float32 convertFloat64ToFloat32(float64);
+extern float32 convertFloat128ToFloat32(float128);
+extern float64 convertFloat128ToFloat64(float128);
+
 
 extern uint32_t float32_to_uint32(float32);
@@ -63,10 +59,4 @@
 extern int64_t float64_to_int64(float64);
 
-extern uint32_t float96_to_uint32(float96);
-extern int32_t float96_to_int32(float96);
-
-extern uint64_t float96_to_uint64(float96);
-extern int64_t float96_to_int64(float96);
-
 extern uint32_t float128_to_uint32(float128);
 extern int32_t float128_to_int32(float128);
@@ -74,4 +64,5 @@
 extern uint64_t float128_to_uint64(float128);
 extern int64_t float128_to_int64(float128);
+
 
 extern float32 uint32_to_float32(uint32_t);
@@ -87,10 +78,4 @@
 extern float64 int64_to_float64(int64_t);
 
-extern float96 uint32_to_float96(uint32_t);
-extern float96 int32_to_float96(int32_t);
-
-extern float96 uint64_to_float96(uint64_t);
-extern float96 int64_to_float96(int64_t);
-
 extern float128 uint32_to_float128(uint32_t);
 extern float128 int32_to_float128(int32_t);
Index: uspace/lib/softfloat/include/div.h
===================================================================
--- uspace/lib/softfloat/include/div.h	(revision 41455a2252d8399fc1db67b56337cc546b45a936)
+++ uspace/lib/softfloat/include/div.h	(revision 6bb169b5888edb060801d4ac1ed89a86670dd67a)
@@ -37,8 +37,7 @@
 #define __DIV_H__
 
-extern float32 div_float32(float32, float32);
-extern float64 div_float64(float64, float64);
-extern float96 div_float96(float96, float96);
-extern float128 div_float128(float128, float128);
+extern float32 divFloat32(float32, float32);
+extern float64 divFloat64(float64, float64);
+extern float128 divFloat128(float128, float128);
 
 #endif
Index: uspace/lib/softfloat/include/mul.h
===================================================================
--- uspace/lib/softfloat/include/mul.h	(revision 41455a2252d8399fc1db67b56337cc546b45a936)
+++ uspace/lib/softfloat/include/mul.h	(revision 6bb169b5888edb060801d4ac1ed89a86670dd67a)
@@ -37,8 +37,7 @@
 #define __MUL_H__
 
-extern float32 mul_float32(float32, float32);
-extern float64 mul_float64(float64, float64);
-extern float96 mul_float96(float96, float96);
-extern float128 mul_float128(float128, float128);
+extern float32 mulFloat32(float32, float32);
+extern float64 mulFloat64(float64, float64);
+extern float128 mulFloat128(float128, float128);
 
 #endif
